Qt Cryptographic Architecture: QCA::SecureMessageSignature Class Reference

Qt Cryptographic Architecture

Public Types | Public Member Functions | List of all members
QCA::SecureMessageSignature Class Reference
QCA user API

`#include <QtCrypto>`

## Public Types
enum | IdentityResult { Valid, InvalidSignature, InvalidKey, NoKey }

## Public Member Functions
IdentityResult | identityResult () const
SecureMessageKey | key () const
Validity | keyValidity () const
SecureMessageSignature & | operator= (const SecureMessageSignature &from)
| SecureMessageSignature ()
| SecureMessageSignature (IdentityResult r, Validity v, const SecureMessageKey &key, const QDateTime &ts)
| SecureMessageSignature (const SecureMessageSignature &from)
QDateTime | timestamp () const

## Detailed Description

SecureMessage signature.

## Member Enumeration Documentation

## ◆ IdentityResult

enum QCA::SecureMessageSignature::IdentityResult

The result of identity verification.

Enumerator
Valid | indentity is verified, matches signature
InvalidSignature | valid key provided, but signature failed
InvalidKey | invalid key provided
NoKey | identity unknown

## Constructor & Destructor Documentation

## ◆ SecureMessageSignature() [1/3]

QCA::SecureMessageSignature::SecureMessageSignature | ( |  | ) |

Create an empty signature check object.

User applications don't normally need to create signature checks. You normally get the object back as a result of a SecureMessage operation.

## ◆ SecureMessageSignature() [2/3]

QCA::SecureMessageSignature::SecureMessageSignature | ( | IdentityResult | r,
|  | Validity | v,
|  | const SecureMessageKey & | key,
|  | const QDateTime & | ts
| ) |  |

Create a signature check object.

User applications don't normally need to create signature checks. You normally get the object back as a result of a SecureMessage operation.

Parameters

  r | the result of the check
  v | the Validity of the key validation check
  key | the key associated with the signature
  ts | the timestamp associated with the signature

## ◆ SecureMessageSignature() [3/3]

QCA::SecureMessageSignature::SecureMessageSignature | ( | const SecureMessageSignature & | from | ) |

Standard copy constructor.

Parameters

  from | the source signature object

## Member Function Documentation

## ◆ operator=()

SecureMessageSignature& QCA::SecureMessageSignature::operator= | ( | const SecureMessageSignature & | from | ) |

Standard assignment operator.

Parameters

  from | the source signature object

## ◆ identityResult()

IdentityResult QCA::SecureMessageSignature::identityResult | ( |  | ) | const

get the results of the identity check on this signature

## ◆ keyValidity()

Validity QCA::SecureMessageSignature::keyValidity | ( |  | ) | const

get the results of the key validation check on this signature

## ◆ key()

SecureMessageKey QCA::SecureMessageSignature::key | ( |  | ) | const

get the key associated with this signature

## ◆ timestamp()

QDateTime QCA::SecureMessageSignature::timestamp | ( |  | ) | const

get the timestamp associated with this signature

The documentation for this class was generated from the following file:

- qca_securemessage.h